Jobs
Terminate Job Run
Terminate a JobRun by ID.
POST
/
{workspaceId}
/
projects
/
{projectName}
/
jobs
/
{jobId}
/
runs
/
{jobRunId}
/
terminate
terminateJobRun
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.jobs.runs.terminate(
"my-project",
"my-sample-job",
"jr_abc123def456ghi789xyz",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.jobs.runs.terminate(
project_name="my-project",
job_id="my-sample-job",
job_run_id="jr_abc123def456ghi789xyz",
)
print(res)curl --request POST \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/jobs/{jobId}/runs/{jobRunId}/terminate \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/jobs/{jobId}/runs/{jobRunId}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "JobRun terminated successfully."
}{
"code": "unauthorized",
"category": "user",
"message": "<string>",
"retirable": false,
"correlationId": "<string>",
"details": "<unknown>"
}{
"code": "not-found",
"category": "user",
"message": "<string>",
"retirable": false,
"correlationId": "<string>",
"details": "<unknown>"
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
The ID you assigned when creating the Job.
The JobRun ID. Get this from the list JobRuns endpoint or from the trigger Job response.
Response
JobRun terminated successfully.
Success message confirming JobRun termination.
Example:
"JobRun terminated successfully."
⌘I
terminateJobRun
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.jobs.runs.terminate(
"my-project",
"my-sample-job",
"jr_abc123def456ghi789xyz",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.jobs.runs.terminate(
project_name="my-project",
job_id="my-sample-job",
job_run_id="jr_abc123def456ghi789xyz",
)
print(res)